<?php

namespace DiviBooster\PhpCode\Compat\AdvancedCustomFieldsPro;

add_filter('dbphp_insert_post_content', __NAMESPACE__ . '\\fix_acf_pro_slashes', 9);

function fix_acf_pro_slashes($content) {

    // ACF Pro adds slashes to the content when saving, so we need to remove them to avoid attribute parsing issues

    $acf_pro_active = \is_plugin_active('advanced-custom-fields-pro/acf.php');

    if ($acf_pro_active && strpos($content, '[et_pb_db_php_code') !== false && strpos($content, ' code=\"') !== false) {
        $content = stripslashes($content);
    }
    return $content;
}
